Package org.eclipse.emf.cdo.spi.common.revision

# Interface InternalCDOList

All Superinterfaces:
  `CDOList`, `Collection<Object>`, `EList<Object>`, `Iterable<Object>`, `List<Object>`, `org.eclipse.net4j.util.collection.MoveableList<Object>`

All Known Subinterfaces:
  `InternalCDOList.ConfigurableEquality`

public interface InternalCDOList extends CDOList
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Simon McDuff

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`InternalCDOList.ConfigurableEquality`
A mix-in interface for `InternalCDOList` that allows to optimize the speed of equality checks.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Object`
`UNINITIALIZED`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`adjustReferences(CDOReferenceAdjuster adjuster, EStructuralFeature feature)`
Adjusts references according to the passed adjuster and resynchronizes indexes.
`InternalCDOList`
`clone(EClassifier classifier)`
Clones the list.
`void`
`freeze()`
`void`
`setWithoutFrozenCheck(int i, Object value)`

### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOList

`get`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.eclipse.emf.common.util.EList

`move, move`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

### Methods inherited from interface org.eclipse.net4j.util.collection.MoveableList

`move`

## Field Details

### UNINITIALIZED

static final Object UNINITIALIZED

## Method Details

### adjustReferences

boolean adjustReferences(CDOReferenceAdjuster adjuster, EStructuralFeature feature)
Adjusts references according to the passed adjuster and resynchronizes indexes.

Since:
  4.0

### clone

InternalCDOList clone(EClassifier classifier)
Clones the list.

### freeze

void freeze()

Since:
  4.0

### setWithoutFrozenCheck

void setWithoutFrozenCheck(int i, Object value)

Since:
  4.0